Package com.castlabs.android.adverts

## Class AdSchedule

- java.lang.Object
- - com.castlabs.android.adverts.AdSchedule

- All Implemented Interfaces:
    `Parcelable`

      public final class AdSchedule
      extends Object
      implements Parcelable

  Describes a custom ad schedule.
  Since:
    4.2.24

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AdSchedule.Builder` | Builder for `AdSchedule`
    `static interface` | `AdSchedule.ScheduleType` |

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<AdSchedule>` | `CREATOR` |
    `static int` | `DEFAULT_SCHEDULE_TYPE` |
    `static int` | `SCHEDULE_MANUAL` |
    `int` | `scheduleType` | The type of ad schedule.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEDULE_MANUAL

          public static final int SCHEDULE_MANUAL

      See Also:
        Constant Field Values

    - #### scheduleType

          public final int scheduleType

      The type of ad schedule.

    - #### DEFAULT_SCHEDULE_TYPE

          public static final int DEFAULT_SCHEDULE_TYPE

      See Also:
        Constant Field Values

    - #### CREATOR

          public static final Parcelable.Creator<AdSchedule> CREATOR

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`